# Cardano における RWA に関連する Metadata Standards

Cardano 上で Real-World Assets (RWA) をトークン化する際、**metadata** は重要な役割を果たします。Metadata はトークンに意味を与えます ― そのトークンが何を表しているのか、誰が裏付けているのか、どのような情報（例：監査、法的識別子、評価データ）が添付されているのかを示します。

Cardano では、トークンの metadata に一般的に使用される **Cardano Improvement Proposals (CIP)** がいくつか存在します。

***

#### CIP-25 (NFT Metadata Standard)

* Metadata は minting トランザクション内の **label 721** に保存されます。
* ウォレット、エクスプローラー、マーケットプレイスで広くサポートされています。
* Metadata を更新するには再度 minting（追加供給を mint する、または **burn + remint** を行う）が必要です。
* Metadata の頻繁な更新を必要としないシンプルな NFT や RWA に適しています。

**CIP-25 Metadata の例 (JSON):**

```json
{
  "721": {
    "policy_id_here": {
      "WheatToken001": {
        "name": "Tokenized Wheat Certificate",
        "description": "Represents 1 ton of wheat stored at Warehouse #12",
        "image": "ipfs://QmExampleHash",
        "version": "1.0"
      }
    }
  }
}
```

***

#### CIP-68 (Reference NFT with On-Chain Metadata)

* **User tokens** を **Reference NFT** から分離します。
* Metadata は Reference NFT の datum に保存され、user tokens がそれを参照します。
* Metadata は user が保有するトークンに影響を与えることなく、Reference NFT を更新することで変更できます。
* 実装はやや複雑ですが、監査、価格更新、法的ステータスなどの動的データを必要とする RWA に最適です。

**CIP-68 Metadata の例 (簡略化された datum):**

```json
{
  "version": "1.0",
  "name": "Tokenized Wheat Certificate",
  "description": "Represents 1 ton of wheat stored at Warehouse #12",
  "custodian": "Agricola Magdalena SRL",
  "audit_date": "2025-09-01",
  "proof_of_reserve": "ipfs://QmAuditReportHash"
}
```

***

#### CIP-86 (Metadata Updates via Oracles – 開発中)

* Token の minting や burning を行わずに metadata を更新できます。
* ポリシーに割り当てられた **metadata oracle** が変更を送信します。
* CIP-25 との後方互換性があります。
* まだ初期段階ですが、頻繁にオフチェーンデータをオンチェーンに反映する必要があるユースケースで有望です。

***

#### 比較: Cardano における Metadata Standards

| Feature                       | **CIP-25**                              | **CIP-68**                            | **CIP-86** (開発中)                 |
| ----------------------------- | --------------------------------------- | ------------------------------------- | -------------------------------- |
| **Type**                      | Minting トランザクション内の metadata (label 721) | Reference NFT の datum に保存された metadata | 割り当てられた oracle により管理される metadata |
| **Update method**             | Burn + remint                           | Reference NFT を更新、user tokens はそのまま   | Oracle が metadata を直接更新          |
| **Complexity**                | 低                                       | 中～高                                   | 中                                |
| **Wallet / Explorer support** | 非常に高い                                   | 増加中                                   | まだ広くサポートされていない                   |
| **Best for**                  | 静的 metadata、シンプルな RWA                   | 更新を伴う動的な RWA                          | 頻繁にオフチェーンデータが必要な RWA             |
| **Example use case**          | Tokenized 証明書                           | 監査付きコモディティ                            | リアルタイム価格フィードを持つ金融資産              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nmkr.io/jp/nmkr-studio/tkun/metadta/cardano-niokeru-rwa-nisuru-metadata-standards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
